/*
 * Fabric3
 * Copyright  2008 Metaform Systems Limited
 *
 * This proprietary software may be used only connection with the Fabric3 license
 * (the License), a copy of which is included in the software or may be
 * obtained at: http://www.metaformsystems.com/licenses/license.html.

 * Software distributed under the License is distributed on an as is basis,
 * without warranties or conditions of any kind.  See the License for the
 * specific language governing permissions and limitations of use of the software.
 * This software is distributed in conjunction with other software licensed under
 * different terms.  See the separate licenses for those programs included in the
 * distribution for the permitted and restricted uses of such software.
 *
 */
package org.fabric3.tests.binding.harness;

/**
 * Simple interface that echos a basic type.
 *
 * @version $Rev: 7048 $ $Date: 2009-05-25 10:59:26 -0700 (Mon, 25 May 2009) $
 */
public interface EchoService {

    String echoString(String message);

    int echoInt(int value);

    String echoFault() throws EchoFault;

    String echoMultiParam(String param1, double param2, double param3);

}
