/*
 * Fabric3
 * Copyright  2008 Metaform Systems Limited
 *
 * This proprietary software may be used only connection with the Fabric3 license
 * (the License), a copy of which is included in the software or may be
 * obtained at: http://www.metaformsystems.com/licenses/license.html.

 * Software distributed under the License is distributed on an as is basis,
 * without warranties or conditions of any kind.  See the License for the
 * specific language governing permissions and limitations of use of the software.
 * This software is distributed in conjunction with other software licensed under
 * different terms.  See the separate licenses for those programs included in the
 * distribution for the permitted and restricted uses of such software.
 *
 */
package org.fabric3.tests.binding.harness;

import junit.framework.TestCase;
import org.osoa.sca.annotations.Reference;

/**
 * @version $Rev: 6958 $ $Date: 2009-05-08 09:25:51 -0700 (Fri, 08 May 2009) $
 */
public class EchoOneWayTest extends TestCase {

    @Reference
    protected OneWayEchoService service;

    public void testInvoke() throws Exception {
        // fill a message with 2000 chars to test buffers
        StringBuilder b = new StringBuilder();
        for (int i = 0; i <= 2000; i++) {
            b.append("z");
        }
        service.echoString(b.toString());
        service.await();
    }

}